Refport

Generate a QR code SVG

Generates a QR code SVG for a URL and optional styling parameters.

GET
/api/qr

Generates a QR code SVG for a URL and optional styling parameters.

Query Parameters

backgroundColor?string
Match^#[0-9A-Fa-f]{6}$
Default"#FFFFFF"
download?string
Default"false"

Value in

  • "true"
  • "false"
errorCorrection?string
Default"Q"

Value in

  • "L"
  • "M"
  • "Q"
  • "H"
foregroundColor?string
Match^#[0-9A-Fa-f]{6}$
Default"#000000"
logoUrl?string
Formaturi
margin?integer
Range0 <= value <= 24
Default2
size?integer
Range128 <= value <= 4096
Default1024
url*string
Formaturi

Response Body

image/svg+xml

application/json

application/json

curl -X GET "https://example.com/api/qr?url=http%3A%2F%2Fexample.com"
"string"
{  "error": "string"}
{  "error": "string"}